namespace Netina.AdminPanel.PWA.Services.RestServices;

public interface IPageRestApi
{
    [Get("")]
    Task<List<BasePageSDto>> ReadAll([Header("Authorization")] string authorization);


    [Get("/type/{type}")]
    Task<BasePageSDto> ReadByType([Query] string type, [Header("Authorization")] string authorization);

    [Get("/{id}")]
    Task<BasePageLDto> ReadById(Guid id, [Header("Authorization")] string authorization);

    [Post("")]
    Task CreatePage([Body] PageActionRequestDto request, [Header("Authorization")] string authorization);

    [Delete("/{id}")]
    Task DeletePage(Guid id, [Header("Authorization")] string authorization);
}